#esempi di sottostringhe


#s[x:y]--> sottostringa che parte da x
# e arriva a ****y-1**** 
#se x manca il suo valore è 0
#se y manca il suo valore è len(s)

s="pippo"
print("s vale:",s)
print('s[1:3]',s[1:3])
print('s[1:] ',s[1:])


#esempi avanzati di replace

print("s.replace('p','k')",s.replace('p','k'))
print("s.replace('p','k',1)",s.replace('p','k',1))


print("s[1:].replace('p','k',1)",s[1:].replace('p','k',1))

print("s[0]+s[1:].replace('p','k',1)",s[0]+s[1:].replace('p','k',1))
